aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketLocation

# Documentation

data GetBucketLocation Source #

Constructors

GetBucketLocation |

Fields

- gblBucket :: Bucket

#### Instances

Instances details

SignQuery GetBucketLocation Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type ServiceConfiguration GetBucketLocation |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration

Methods

signQuery :: GetBucketLocation -> ServiceConfiguration GetBucketLocation queryType -> SignatureData -> SignedQuery Source #

Show GetBucketLocation Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation Methods showsPrec :: Int -> GetBucketLocation -> ShowS Source # show :: GetBucketLocation -> String Source # showList :: [GetBucketLocation] -> ShowS Source #
Transaction GetBucketLocation GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
type ServiceConfiguration GetBucketLocation Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration

getBucketLocation :: Bucket -> GetBucketLocation Source #

data GetBucketLocationResponse Source #

Constructors

GetBucketLocationResponse |

Fields

- gblrLocationConstraint :: LocationConstraint

#### Instances

Instances details

AsMemoryResponse GetBucketLocationResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type MemoryResponse GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse

Methods

loadToMemory :: GetBucketLocationResponse -> ResourceT IO (MemoryResponse GetBucketLocationResponse) Source #

Show GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation Methods showsPrec :: Int -> GetBucketLocationResponse -> ShowS Source # show :: GetBucketLocationResponse -> String Source # showList :: [GetBucketLocationResponse] -> ShowS Source #
ResponseConsumer r GetBucketLocationResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type ResponseMetadata GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketLocationResponse) -> HTTPResponseConsumer GetBucketLocationResponse Source #

Transaction GetBucketLocation GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
type MemoryResponse GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse
type ResponseMetadata GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata